# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: kinkie@squid-cache.org-20090326170958-8gww4rmhcez8invo
# target_branch: http://www.squid-cache.org/bzr/squid3/trunk
# testament_sha1: 7a1247d0cf4411eee0389bcdfb98596c768beb9e
# timestamp: 2009-03-26 18:10:04 +0100
# base_revision_id: chtsanti@users.sourceforge.net-20090325114609-\
#   ix310ws0oa31vwi7
# 
# Begin patch
=== modified file 'src/comm_epoll.cc'
--- src/comm_epoll.cc	2009-01-21 03:47:47 +0000
+++ src/comm_epoll.cc	2009-03-26 17:09:58 +0000
@@ -232,7 +232,7 @@
 commIncomingStats(StoreEntry * sentry)
 {
     StatCounters *f = &statCounter;
-    storeAppendPrintf(sentry, "Total number of epoll(2) loops: %d\n", statCounter.select_loops);
+    storeAppendPrintf(sentry, "Total number of epoll(2) loops: %ld\n", statCounter.select_loops);
     storeAppendPrintf(sentry, "Histogram of returned filedescriptors\n");
     statHistDump(&f->select_fds_hist, sentry, statHistIntDumper);
 }
@@ -265,7 +265,7 @@
 
     for (;;) {
         num = epoll_wait(kdpfd, pevents, SQUID_MAXFD, msec);
-        statCounter.select_loops++;
+        ++statCounter.select_loops;
 
         if (num >= 0)
             break;

=== modified file 'src/comm_kqueue.cc'
--- src/comm_kqueue.cc	2009-01-21 03:47:47 +0000
+++ src/comm_kqueue.cc	2009-03-26 17:09:58 +0000
@@ -260,7 +260,7 @@
 
     for (;;) {
         num = kevent(kq, kqlst, kqoff, ke, KE_LENGTH, &poll_time);
-        statCounter.select_loops++;
+        ++statCounter.select_loops;
         kqoff = 0;
 
         if (num >= 0)

=== modified file 'src/comm_poll.cc'
--- src/comm_poll.cc	2009-01-21 03:47:47 +0000
+++ src/comm_poll.cc	2009-03-26 17:09:58 +0000
@@ -408,9 +408,9 @@
 
         for (;;) {
             PROF_start(comm_poll_normal);
-            statCounter.syscalls.selects++;
+            ++statCounter.syscalls.selects;
             num = poll(pfds, nfds, msec);
-            statCounter.select_loops++;
+            ++statCounter.select_loops;
             PROF_stop(comm_poll_normal);
 
             if (num >= 0 || npending >= 0)

=== modified file 'src/comm_select.cc'
--- src/comm_select.cc	2009-01-21 03:47:47 +0000
+++ src/comm_select.cc	2009-03-26 17:09:58 +0000
@@ -441,7 +441,7 @@
             poll_time.tv_usec = (msec % 1000) * 1000;
             statCounter.syscalls.selects++;
             num = select(maxfd, &readfds, &writefds, NULL, &poll_time);
-            statCounter.select_loops++;
+            ++statCounter.select_loops;
 
             if (num >= 0 || pending > 0)
                 break;

=== modified file 'src/comm_select_win32.cc'
--- src/comm_select_win32.cc	2009-01-21 03:47:47 +0000
+++ src/comm_select_win32.cc	2009-03-26 17:09:58 +0000
@@ -439,9 +439,9 @@
         for (;;) {
             poll_time.tv_sec = msec / 1000;
             poll_time.tv_usec = (msec % 1000) * 1000;
-            statCounter.syscalls.selects++;
+            ++statCounter.syscalls.selects;
             num = select(maxfd, &readfds, &writefds, &errfds, &poll_time);
-            statCounter.select_loops++;
+            ++statCounter.select_loops;
 
             if (num >= 0 || pending > 0)
                 break;

=== modified file 'src/stat.cc'
--- src/stat.cc	2009-02-24 23:52:44 +0000
+++ src/stat.cc	2009-03-26 17:09:58 +0000
@@ -514,7 +514,7 @@
     storeAppendPrintf(sentry, "\tAverage ICP messages per minute since start:\t%.1f\n",
                       (statCounter.icp.pkts_sent + statCounter.icp.pkts_recv) / (runtime / 60.0));
 
-    storeAppendPrintf(sentry, "\tSelect loop called: %d times, %0.3f ms avg\n",
+    storeAppendPrintf(sentry, "\tSelect loop called: %ld times, %0.3f ms avg\n",
                       statCounter.select_loops, 1000.0 * runtime / statCounter.select_loops);
 
     storeAppendPrintf(sentry, "Cache information for %s:\n",APP_SHORTNAME);
@@ -1367,7 +1367,7 @@
                       f->unlink.requests);
     storeAppendPrintf(sentry, "page_faults = %d\n",
                       f->page_faults);
-    storeAppendPrintf(sentry, "select_loops = %d\n",
+    storeAppendPrintf(sentry, "select_loops = %ld\n",
                       f->select_loops);
     storeAppendPrintf(sentry, "cpu_time = %f\n",
                       f->cputime);

=== modified file 'src/structs.h'
--- src/structs.h	2009-02-22 23:09:09 +0000
+++ src/structs.h	2009-03-26 17:09:58 +0000
@@ -1196,7 +1196,7 @@
         int times_used;
     } netdb;
     int page_faults;
-    int select_loops;
+    unsigned long int select_loops;
     int select_fds;
     double select_time;
     double cputime;

# Begin bundle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==
